Subject: Cherokee Native American Muslims.... (fwd)

From: [email-masked] (Farhad Oroumchian)
Date: Fri, 8 May 1998 10:53:56 -0400

-
I thought this is very interesting, I never imagined a muslim native american!!!

Farhad

------------ Begin Forwarded Message -------------

Subject: Cherokee Native American Muslims....

> Assalam o alaiykum,
>       Hey look at this article, did anyone else know the roots of
> Tallahassee???
>
> --
>
> Off the record,
> On the QT
> and strictly Nauman.
>
> ---------- Forwarded message ----------
> Digging for the Red Roots
>
>               by Mahir Abdal-Razzaaq El
>
>
>
> My name is Mahir Abdal-Razzaaq El and I am a Cherokee Blackfoot American
> Indian who is Muslim. I am known as Eagle Sun Walker. I serve as a Pipe
> Carrier Warrior for the Northeastern Band of Cherokee Indians in New York
> City.
>
> There are other Muslims in our group. For the most part, not many people
> are aware of the Native American contact with Islam that began over one
> thousand years ago by some of the early Muslim travelers who visited us.
> Some of these Muslim travelers ended up living among our people.
>
> For most Muslims and non-Muslims of today, this type of information is
> unknown and has never been mentioned in any of the history books. There
> are many documents, treaties, legislation and resolutions that were passed
> between 1600s and 1800s that show that Muslims were in fact here and were
> very active in the comunities in which they lived. Treaties such as Peace
> and Friendship that was signed on the Delaware River in the year 1787 bear
> the signatures of Abdel-Khak and Muhammad Ibn Abdullah. This treaty
> details our continued right to exist as a community in the areas of
> commerce, maritime shipping, current form of government at that time which
> was in accordance with Islam. According to a federal court case from the
> Continental Congress, we help put the breath of life in to the newly
> framed constitution. All of the documents are presently in the National
> Archives as well as the Library of Congress.
>
> If you have access to records in the state of South Carolina, read the
> Moors Sundry Act of 1790. In a future article, Inshallah, I will go in to
> more details about the various tribes, their languages; in which some are
> influenced by Arabic, Persian, Hebrew words. Almost all of the tribes
> vocabulary include the word Allah. The traditional dress code for Indian
> women includes the kimah and long dresses. For men, standard fare is
> turbans and long tops that come down to the knees.  If you were to look at
> any of the old books on Cherokee clothing up until the time of 1832, you
> will see the men wearing turbans and the women wearing long head
> coverings.  The last Cherokee chief who had a Muslim name was Ramadhan Ibn
> Wati of the Cherokees in 1866.
>
> Cities across the United States and Canada bear names that are of Indian
> and Islamic derivation. Have you ever wondered what the name Tallahassee
> means? It means that He Allah will deliver you sometime in the future.
>

------------- End Forwarded Message -------------